Enhancing STC and cleaning up various test topos.

Change-Id: I7f5b349835ebf3d7da824be0aa2cddd860631f84
diff --git a/tools/test/bin/onos-check-summary b/tools/test/bin/onos-check-summary
new file mode 100755
index 0000000..daa5253
--- /dev/null
+++ b/tools/test/bin/onos-check-summary
@@ -0,0 +1,18 @@
+#!/bin/bash
+# -----------------------------------------------------------------------------
+# Checks ONOS summary data
+# -----------------------------------------------------------------------------
+
+aux=/tmp/stc-$$.log
+trap "rm -f $aux $aux.1 $aux.2 2>/dev/null" EXIT
+
+onos ${1:-$OCI} "onos:summary" > $aux
+cat $aux
+
+let status=0
+grep -q "nodes=$2" $aux || let status=status+1
+grep -q "devices=$3" $aux || let status=status+1
+grep -q "links=$4" $aux || let status=status+1
+grep -q "hosts=$5" $aux || let status=status+1
+
+exit $status
\ No newline at end of file